Activate a license

Activate a license.

put

This method sets the license's status to Active based on its current state: NotStarted: Sets the StartDate to a valid date in the past.Expired: Sets the EndDate to a valid date in the future.Inactive: Sets both StartDate and EndDate if necessary. If the license has already been Used, the method does nothing.

Path parameters
idstringRequired

The id of the license.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

put
/api/v1/licenses/{id}/activate

Last updated